default:
    image: node:18.7.0

stages:
  - install
  - test

install-job:
  stage: install
  cache: 
    key: $CI_PROJECT_DIR
    paths:
      - node_modules/
  script:
    - yarn install
  only:
    changes:
      - yarn.lock

unit-test-job:
  stage: test
  cache: 
    key: $CI_PROJECT_DIR
    paths:
      - node_modules/
    policy: pull
  script:
    - yarn test
  artifacts:
    when: always
    paths:
      - junit.xml
    reports:
      junit: junit.xml
      coverage_report:
        coverage_format: cobertura
        path: coverage/cobertura-coverage.xml
  coverage: '/All files[^|]*\|[^|]*\s+([\d\.]+)/'
